<div class="row">
	<div class="col-xs-12">
		<div class="row">
			<div class="options col-sm-12">
				<div class="row">
					<div class="col-md-8 gutterless--left">
						<a class="active" href="<?php echo $this->Html->url(array('controller' => 'properties')); ?>"><i class="fa fa-list"></i>&nbsp;&nbsp;List of Properties</a>
						<a href="<?php echo $this->Html->url(array('controller' => 'properties', 'action' => 'map')); ?>"><i class="fa fa-map-marker"></i></i>&nbsp;&nbsp;Map of Properties</a>
					</div>
					<div class="col-md-4">
						<form name="sort-properties-by" method="post" class="pull-right form-inline">
							<div class="row">
								<div class="col-md-5 gutterless">
									<label class="order-by">Order results by</label>
								</div>
								<div class="col-md-7 gutterless">
									<?php $page = $this->Paginator->params()['current']; ?>
									<select>
										<option
											value="price-desc"
											data-url="<?php echo $this->Paginator->url(array('sort' => 'price', 'direction' => 'desc')); ?>"
											>
											Price - Highest First
										</option>
										<option
											value="price-asc"
											data-url="<?php echo $this->Paginator->url(array('sort' => 'price', 'direction' => 'asc')); ?>"
											>
											Price - Lowest First
										</option>
										<option
											value="recent"
											data-url="<?php echo $this->Paginator->url(array('sort' => 'uploaded', 'direction' => 'desc')); ?>"
											>
											Most Recent
										</option>
									</select>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-12">
		<h2>Filter search results</h2>
	</div>
</div>

<div class="row">
	<div class="">

	</div>
</div>

<div class="row">
	<div class="col-12">
		<form name="filters" method="post">
			<div class="row">
				<?php
					$searchOptions = array(
						'url' => array(
							'controller' => 'properties',
							'action' => 'index'
						),
						'inputDefaults' => array(
							'label' => false,
							'div' => false
						),
						'class' => 'form form-inline pull-right'
					);
					echo $this->Form->create('property_filters', $searchOptions);
				?>
				<div class="col-10">
					<div class="row">
						<div class="col-3">
							<label>Property location</label><br/>
							<?php echo $this->Form->input('area', array('id' => 'google-maps-location-autocomplete')); ?>
							<?php
								echo $this->Form->input('latitude', array('type' => 'hidden', 'id' => 'filters-latitude'));
								echo $this->Form->input('longitude', array('type' => 'hidden', 'id' => 'filters-longitude'));
							?>
						</div>

						<div class="col-3">
							<label>Property Type</label><br/>
							<?php
								echo $this->Form->input('type', array(
									'options' => $property_types,
									'empty' => 'All Property Types',
									'default' => '',
									'class' => 'type-select',
									'id' => 'filters-property-type'
								));
							?>
						</div>

						<div class="col-3">
							<label>Price</label><br/>
							<div class="row">
								<div class="col-6 gutterless">
									<?php
										echo $this->Form->input('min_price', array(
											'options' => $min_prices,
											'empty' => 'No Min',
											'default' => '',
											'class' => 'price-select',
											'id' => 'filters-min-price'
										));
									?>
								</div>
								<div class="col-6 gutterless">
									<?php
										echo $this->Form->input('max_price', array(
											'options' => $max_prices,
											'empty' => 'No Max',
											'default' => '',
											'class' => 'price-select',
											'id' => 'filters-max-price'
										));
									?>
								</div>
							</div>
						</div>

						<div class="col-3">
							<label>Bedrooms</label><br/>
							<div class="row">
								<div class="col-6 gutterless">
									<?php
										echo $this->Form->input('min_bedrooms', array(
											'options' => $min_bedrooms,
											'empty' => 'No Min',
											'default' => '',
											'class' => 'bedroom-select',
											'id' => 'filters-min-bedrooms'
										));
									?>
								</div>
								<div class="col-6 gutterless">
									<?php
										echo $this->Form->input('max_bedrooms', array(
											'options' => $max_bedrooms,
											'empty' => 'No Max',
											'default' => '',
											'class' => 'bedroom-select',
											'id' => 'filters-max-bedrooms'
										));
									?>
								</div>
							</div>
						</div>

					</div>

				</div>

				<div class="col-2">
					<a class="button form-submit" href="#">Update Search <i class="fa fa-caret-right"></i></a>
				</div>
				<?php echo $this->Form->end(); ?>

			</div>

		</form>

		<div class="hr"></div>
	</div>
</div>